package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsFlplanTmpl;

/**
 * 分离培训模版Mapper接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface TTsFlplanTmplMapper 
{
    /**
     * 查询分离培训模版
     * 
     * @param id 分离培训模版ID
     * @return 分离培训模版
     */
    public TTsFlplanTmpl selectTTsFlplanTmplById(Long id);

    /**
     * 查询分离培训模版列表
     * 
     * @param tTsFlplanTmpl 分离培训模版
     * @return 分离培训模版集合
     */
    public List<TTsFlplanTmpl> selectFlTmplListWithoutContent(TTsFlplanTmpl tTsFlplanTmpl);
    public List<TTsFlplanTmpl> selectTTsFlplanTmplList(TTsFlplanTmpl tTsFlplanTmpl);

    /**
     * 新增分离培训模版
     * 
     * @param tTsFlplanTmpl 分离培训模版
     * @return 结果
     */
    public int insertTTsFlplanTmpl(TTsFlplanTmpl tTsFlplanTmpl);

    /**
     * 修改分离培训模版
     * 
     * @param tTsFlplanTmpl 分离培训模版
     * @return 结果
     */
    public int updateTTsFlplanTmpl(TTsFlplanTmpl tTsFlplanTmpl);

    /**
     * 删除分离培训模版
     * 
     * @param id 分离培训模版ID
     * @return 结果
     */
    public int deleteTTsFlplanTmplById(Long id);

    /**
     * 批量删除分离培训模版
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsFlplanTmplByIds(Long[] ids);
}
